/*
---------------------------------------------------------
TOPPMENY
---------------------------------------------------------*/

.lp-topmenu {
  margin: 20px 0 0;
}

.lp-topmenu ul {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flexbox;
  display: flex;
  margin: 0;
  padding: 0;
  width: 100%;

  gap: 0 1rem;
}

.lp-topmenu li {
  display: block;
  margin: 0;
  padding: 0;

  flex: 1 1 auto;
}

.lp-topmenu li > a {
  color: #4a4a4a;
  display: block;
  font-size: clamp(1.6rem, 1.6vw, 2rem);
  font-weight: 600;
  line-height: 1.75em;
  padding: 15px 0;
  text-align: center;
  text-decoration: none;
  width: auto;
}

.lp-topmenu li > a.lp-current {
  color: #002f6d;
}

.lp-topmenu li > a:hover,
.lp-topmenu li > a:focus {
  color: #002f6d;
}


/*
---------------------------------------------------------
UNDERMENY 1/3 - Standardinställningar
--------------------------------------------------------- */



.lp-level-1 {
  border-bottom: solid 3px #e5e7dc;
}

/* Döljer alla huvudsidors menyer */
.lp-menu .lp-level-1 > li {
  display: none;
}

/* Men visar huvudusidan man är inne på */
.lp-menu .lp-level-1 > li.lp-open {
  display: block;
}

/* Döljer pilknappen på första nivån så att man inte kan stänga menyn */
.lp-menu .lp-level-1 > li > button {
  display: none;
}

/* Döljer alla nivåer initialt */
.lp-menu .lp-level-1 ul {
  display: none;
}

/* Men visar undersidor när man har klickat på pilknappen */
.lp-menu .lp-open > ul {
  display: block;
}

/* Döljer tillbakalänk vid utpekning av egen startpunkt för undermeny */
.lp-menu a.lp-back-link {
  display: none;
}


.lp-menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.lp-menu li.lp-has-children {
  position: relative;
}


/* Döljer länken till menyn i mobilen */
.lp-skip-to-menu-mobile {
  display: none;
}

/* Döljer stängknapp för off canvas-meny */
.lp-close-button {
  display: none;
}

/*
---------------------------------------------------------
UNDERMENY 2/3
--------------------------------------------------------- */

.lp-menu a {
  background: #fff;
  border-left: solid 3px #e5e7dc;
  border-right: solid 3px #e5e7dc;
  border-top: 1px solid #e5e7dc;
  display: block;
  font-size: 1.6rem;
  line-height: 1.4em;
  padding: 14px 44px 14px 10px;
  text-decoration: none;
}

/* *sigh* */
.lp-menu > ul.lp-level-1 > .lp-current > a {
  border-top: 0;
}

.lp-menu a:hover,
.lp-menu a:focus {
  text-decoration: underline;
}

.lp-menu .lp-level-2  .lp-current > a {
  background-color: #f5f6f0;
  font-weight: 600;
}

.lp-menu .lp-level-2 .lp-current > a,
.lp-menu .lp-level-2 .lp-open > a {
  background-color: #f5f6f0;
}

/* Nivåer */
.lp-level-1 > li > a {
  background: #07c;
  border: 0;
  color: #fff;
}


.lp-level-3 a {
  background-color: #f5f6f0;
}

.lp-menu .lp-level-3 .lp-current > a {
  background-color: #eceee6;
}

.lp-level-2 > li > a {
  padding-left: 10px;
}

.lp-level-3 > li > a {
  padding-left: 24px;
}

.lp-level-4 > li > a {
  padding-left: 36px;
}

.lp-level-5 > li > a {
  padding-left: 48px;
}

.lp-level-6 > li > a {
  padding: 10px 36px 10px 60px;
}


/*
---------------------------------------------------------
UNDERMENY 3/3 - Knappar
--------------------------------------------------------- */

.lp-menu button {
  background: transparent;
  border: none;
  box-shadow: none;
  font-size: 2rem;
  height: 51px;
  padding: 0;
  position: absolute;
  right: 0;
  top: 0;
  width: 44px;
}

.lp-menu button:hover,
.lp-menu button:focus {
  background: transparent;
  box-shadow: none;
}

.lp-menu button:active {
  background: transparent;
  box-shadow: none;
}

.lp-has-children > button .lp-icon-close {
  opacity: 0;
  transform: rotate(-180deg);
}

.lp-has-children > button .lp-icon {
  left: 50%;
  margin-left: -0.5em;
  margin-top: -0.5em;
  position: absolute;
  top: 50%;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;

  fill: #002f6d;
}

.lp-open.lp-has-children > button .lp-icon-open {
  opacity: 0;
  transform: rotate(180deg);
}

.lp-open.lp-has-children > button .lp-icon-close {
  opacity: 1;
  transform: rotate(0deg);
}

/* Avvikelser */
.lp-level-6 button {
  height: 36px;
}



/*
---------------------------------------------------------
VERTKTYGSMENY
---------------------------------------------------------*/

.lp-site-tools {
  list-style-type: none;
  margin: 0;
  padding: 0;
  text-align: right;
}

.lp-site-tools li {
  display: inline-block;
  margin: 0 0 0 10px;
  padding: 0;
}

.lp-site-tools li:first-child {
  margin: 0;
}

.lp-site-tools li > a {
  display: block;
  text-decoration: none;
}

.lp-site-tools .lp-icon {
  margin: 0 5px 0 0;
}


.lp-site-tools img {
  display: none; /* tar bort bilden som visas för externa länkar */
}


/*
---------------------------------------------------------
SNABBLÄNKSMENY STARTSIDA
---------------------------------------------------------*/

.lp-quick-links {
  display: flex;
  list-style-type: none;
  margin: 25px -10px;
  padding: 0;

  flex-wrap: wrap;
}

.lp-quick-links li {
  box-sizing: border-box;
  display: flex;
  margin: 0;
  padding: 0 10px;
  width: 20%;

  flex: 1 0 auto;
  -ms-flex-flow: column wrap;
  flex-flow: column wrap;
}

.lp-quick-links a {
  align-items: center;
  display: flex;
  font-weight: bold;
  padding: 20px 0;
  text-align: left;
  text-decoration: none;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;

  flex-grow: 1;
  justify-content: flex-start;
}



.lp-quick-links img {
  display: inline-block;
  margin: 0 10px 0 0;
  max-width: 48px;
}

.lp-quick-links .lp-icon {
  display: inline-block;
  font-size: 5rem;
  margin: 0 10px 0 0;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;

  fill: #002f6d;
}

.lp-quick-links a:hover .lp-icon {
  /* fill: #333; */
}

/*
---------------------------------------------------------
FLERNIVÅLÄNK
--------------------------------------------------------- */

.sv-multilevellink-portlet {
  border-bottom: solid 1px #e5e7dc;
  border-top: solid 1px #e5e7dc;
  margin: 20px 0 0 0;
  padding: 10px 0 10px;
}

.sv-multilevellink-portlet > ul {
  display: block;
  margin: 0 auto;
  max-width: 1170px;
  padding: 0;
}

.sv-marketplace-sitevision-breadcrumbs {
  border-bottom: solid 1px #e5e7dc;
  border-top: solid 1px #e5e7dc;
  margin: 20px 0 0 0;
  padding: 10px 0 10px;
}

.sv-marketplace-sitevision-breadcrumbs .env-breadcrumb {
  display: block;
  margin: 0 auto;
  max-width: 1170px;
  padding: 0;
  width: 98%;
}


.sv-multilevellink-portlet a,
.sv-marketplace-sitevision-breadcrumbs a.env-link-secondary {
  color: #002f6d;
  font-family: 'open sans', arial, helvetica, sans-serif;
}

.sv-multilevellink-portlet a:hover,
.sv-marketplace-sitevision-breadcrumbs a.env-link-secondary:hover {
  text-decoration: underline;
}

.sv-multilevellink-portlet li {
  color: #4a4a4a;
  font-size: 1.6rem;
  line-height: 1.75em;
  vertical-align: bottom;
}

.sv-marketplace-sitevision-breadcrumbs li.env-breadcrumb__item {
  color: #4a4a4a;
  font-family: 'open sans', arial, helvetica, sans-serif;
  font-size: 1.6rem;
  line-height: 1.75em;
  vertical-align: bottom;
}

.sv-multilevellink-portlet .lp-sep {
  vertical-align: middle;
}

.sv-marketplace-sitevision-breadcrumbs .env-breadcrumb__item span[aria-hidden='true'] {
  display: none;
}

.sv-marketplace-sitevision-breadcrumbs .env-breadcrumb__item:not(:last-child):after {
  background-color: #999;
  content: '';
  display: inline-block;
  height: 0.9em;
  margin: 0 0.2em -0.1em;
  opacity: 0.8;
  width: 0.9em;

  -webkit-mask-image: url('data:image/svg+xml,%3Csvg%20viewBox%3D\'0%200%207%2015\'%20xmlns%3D\'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg\'%20fill%3D\'%23777\'%3E%3Cg%20%20id%3D%22done%22%20opacity%3D%22.802%22%3E%3Cg%20id%3D%22Start-niv%C3%A5-1%22%20transform%3D%22translate(-112%20-148)%22%3E%3Cpath%20id%3D%22Startsida%2FR%C3%A5d%26amp%3Bst%C3%B6d%22%20d%3D%22M113.88%20162.56l4.272-13.92h-.96l-4.272%2013.92z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E');
  mask-image: url('data:image/svg+xml,%3Csvg%20viewBox%3D\'0%200%207%2015\'%20xmlns%3D\'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg\'%20fill%3D\'%23777\'%3E%3Cg%20%20id%3D%22done%22%20opacity%3D%22.802%22%3E%3Cg%20id%3D%22Start-niv%C3%A5-1%22%20transform%3D%22translate(-112%20-148)%22%3E%3Cpath%20id%3D%22Startsida%2FR%C3%A5d%26amp%3Bst%C3%B6d%22%20d%3D%22M113.88%20162.56l4.272-13.92h-.96l-4.272%2013.92z%22%2F%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E');
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  mask-size: contain;
}
